Get timezone ID

- « IntlTimeZone::getGMT

- IntlTimeZone::getIDForWindowsID »

- PHP Manual
- IntlTimeZone
- Get timezone ID

# IntlTimeZone::getID

# intltz_get_id

(PHP 5 >= 5.5.0, PHP 7, PHP 8, PECL >= 3.0.0a1)

IntlTimeZone::getID -- intltz_get_id — Get timezone ID

### Description

Object-oriented style (method):

public IntlTimeZone::getID(): string|false

Procedural style:

intltz_get_id(IntlTimeZone `$timezone`): string|false

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values